summaryrefslogtreecommitdiff
path: root/test/integration/framework
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2012-04-20 10:37:04 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2012-04-20 10:37:04 +0200
commit518763f630873e35398d2537ebfabf97b5aea489 (patch)
treed7b36ef50a9301ac8099edc48a0ab9e563125198 /test/integration/framework
parent8c6d0ba4e25baa7b0dffc4e06e76fc63a71e656f (diff)
parente6a12579e9e5d5735eda450cf2bb3986d828ab65 (diff)
merged from lp:~donkult/apt/sid
Diffstat (limited to 'test/integration/framework')
-rw-r--r--test/integration/framework4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/integration/framework b/test/integration/framework
index 0670d6a78..b80b02922 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -151,7 +151,7 @@ setupenvironment() {
echo "DPKG::options:: \"--root=${TMPWORKINGDIRECTORY}/rootdir\";" >> aptconfig.conf
echo "DPKG::options:: \"--force-not-root\";" >> aptconfig.conf
echo "DPKG::options:: \"--force-bad-path\";" >> aptconfig.conf
- if ! $(which dpkg) --assert-multi-arch; then
+ if ! $(which dpkg) --assert-multi-arch 2>&1 > /dev/null; then
echo "DPKG::options:: \"--force-architecture\";" >> aptconfig.conf # Added to test multiarch before dpkg is ready for it…
fi
echo "DPKG::options:: \"--log=${TMPWORKINGDIRECTORY}/rootdir/var/log/dpkg.log\";" >> aptconfig.conf
@@ -199,7 +199,7 @@ configdpkg() {
echo -n > rootdir/var/lib/dpkg/status
fi
fi
- if $(which dpkg) --assert-multi-arch; then
+ if $(which dpkg) --assert-multi-arch 2>&1 > /dev/null; then
local ARCHS="$(getarchitectures)"
if echo "$ARCHS" | grep -E -q '[^ ]+ [^ ]+'; then
DPKGARCH="$(dpkg --print-architecture)"